#ifndef SRC_PAGES_FRM07_H
#define SRC_PAGES_FRM07_H

#include "../HmiApp.h"
#include "widgets/Widgets.h"
#include "type/Types.h"
#include "misc/misc.h"
#include "op/DataSample.h"
#include "op/EventMgr.h"
#include "op/RCP.h"
#include "op/OpLog.h"
#include "util/DateUtil.h"
#include "util/StringUtil.h"

using namespace std;
using namespace stt;
using namespace stt::op;
using namespace stt::db;
using namespace stt::misc;
using namespace stt::data;
using namespace stt::util;
using namespace stt::constant;

/********************************
 *
 *  页面类
 *
 *  注意：用户可在指定位置添加修改内容
 *

 ********************************/
class HmiApp;

class Frm07: public STTPage {
public:
	STTPanel *wMPanel4;
	STTButton *wMButton7;
	void wMButton7_clk_cb(uint16_t code, LvEvent e);

	STTButton *wMButton8;
	void wMButton8_clk_cb(uint16_t code, LvEvent e);

	STTButton *wMButton9;
	void wMButton9_clk_cb(uint16_t code, LvEvent e);

	STTTextArea *wMTextNumber1;
	STTTextArea *wMTextNumber2;
	STTLabel *wMLabel5;
	STTLabel *wMLabel6;
	STTTable *wMEventTable2;
	STTButton *wMButton10;
	void wMButton10_clk_cb(uint16_t code, LvEvent e);

	STTButton *wMButton11;
	void wMButton11_clk_cb(uint16_t code, LvEvent e);

	STTButton *wMButton12;
	void wMButton12_clk_cb(uint16_t code, LvEvent e);

	STTButton *wMButton13;
	void wMButton13_clk_cb(uint16_t code, LvEvent e);

public:
	Frm07(HmiApp *app, STTWidget *par, const string &id, const string &desc = "");
	virtual ~Frm07();
	void onInit();
	void createParts();
	void onLoad();
	bool onClosing();
	void onDispose();
	/*CUSTOM_CODE_BEGIN*/
	/*CUSTOM_CODE_END*/

protected:
	HmiApp *hmiApp;
};

#endif
